### Function

# Gimp file_save

#### Declaration [src]

    gboolean
    gimp_file_save (
      GimpRunMode run_mode,
      GimpImage* image,
      gint num_drawables,
      const GimpItem** drawables,
      GFile* file
    )

#### Description [src]

Saves a file by extension.

This procedure invokes the correct file save handler according to the file’s extension and/or prefix.

#### Parameters

`run_mode`

  Type: `GimpRunMode`

  The run mode.

`image`

  Type: `GimpImage`

  Input image.

  The data is owned by the caller of the function.

`num_drawables`

  Type: `gint`

  The number of drawables to save.

`drawables`

  Type: An array of `None`

  Drawables to save.

  The length of the array is specified in the `num_drawables` argument.
  The data is owned by the caller of the function.

`file`

  Type: `GFile`

  The file to save the image in.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.